Package org.opensaml.core.xml

# Interface XMLObject

All Known Subinterfaces:
  `Action`, `Action`, `Action`, `ActionMatchType`, `ActionNamespace`, `ActionsType`, `ActionType`, `ActionType`, `AdditionalMetadataLocation`, `Address`, `Address`, `Advice`, `Advice`, `AffiliateMember`, `AffiliationDescriptor`, `AgreementMethod`, `AlgorithmIdentifierType`, `All`, `AllowPostdating`, `AppliesTo`, `AppliesTo`, `ApplyType`, `Artifact`, `ArtifactResolutionService`, `ArtifactResolve`, `ArtifactResponse`, `Assertion`, `Assertion`, `AssertionArtifact`, `AssertionConsumerService`, `AssertionIDRef`, `AssertionIDReference`, `AssertionIDRequest`, `AssertionIDRequestService`, `AssertionURIRef`, `Asynchronous`, `Attribute`, `Attribute`, `AttributeAssignmentType`, `AttributeAuthorityDescriptor`, `AttributeConsumingService`, `AttributedDateTime`, `AttributeDesignator`, `AttributeDesignatorType`, `AttributedQName`, `AttributedString`, `AttributedUnsignedLong`, `AttributedURI`, `AttributedURI`, `AttributeExtensibleXMLObject`, `AttributeProfile`, `AttributeQuery`, `AttributeQuery`, `AttributeQueryDescriptorType`, `AttributeSelectorType`, `AttributeService`, `AttributeStatement`, `AttributeStatement`, `AttributeType`, `AttributeValue`, `AttributeValue`, `AttributeValueType`, `AttributeValueType`, `Audience`, `Audience`, `AudienceRestriction`, `AudienceRestrictionCondition`, `AuthenticatingAuthority`, `AuthenticationQuery`, `AuthenticationStatement`, `AuthenticationType`, `Authenticator`, `AuthnAuthorityDescriptor`, `AuthnContext`, `AuthnContextClassRef`, `AuthnContextDecl`, `AuthnContextDeclRef`, `AuthnQuery`, `AuthnQueryDescriptorType`, `AuthnQueryService`, `AuthnRequest`, `AuthnStatement`, `AuthorityBinding`, `AuthorizationDecisionQuery`, `AuthorizationDecisionStatement`, `AuthzDecisionQuery`, `AuthzDecisionQueryDescriptorType`, `AuthzDecisionStatement`, `AuthzService`, `BaseID`, `BinaryExchange`, `BinarySecret`, `BinarySecurityToken`, `Body`, `CacheableSAMLObject`, `CancelTarget`, `CanonicalizationAlgorithm`, `CarriedKeyName`, `Challenge`, `ChannelBindings`, `CipherData`, `CipherReference`, `CipherValue`, `Claims`, `Code`, `CombinedHash`, `CombinerParametersType`, `CombinerParameterType`, `Company`, `ComputedKey`, `ComputedKeyAlgorithm`, `ConcatKDFParams`, `Condition`, `Condition`, `Conditions`, `Conditions`, `ConditionType`, `ConfirmationMethod`, `ContactPerson`, `Created`, `CryptoBinary`, `DataReference`, `DecisionType`, `DefaultsType`, `Delegatable`, `Delegate`, `DelegateTo`, `DelegationRestrictionType`, `DEREncodedKeyValue`, `DerivedKey`, `DerivedKeyName`, `Description`, `DescriptionType`, `Detail`, `DHKeyValue`, `DigestMethod`, `DigestMethod`, `DiscoHints`, `DiscoveryResponse`, `DisplayName`, `DomainHint`, `DoNotCacheCondition`, `DSAKeyValue`, `ECKeyValue`, `ECPointType`, `ElementExtensibleXMLObject`, `EmailAddress`, `Embedded`, `EncodedString`, `EncryptedAssertion`, `EncryptedAttribute`, `EncryptedData`, `EncryptedElementType`, `EncryptedHeader`, `EncryptedID`, `EncryptedKey`, `EncryptedType`, `Encryption`, `EncryptionAlgorithm`, `EncryptionMethod`, `EncryptionMethod`, `EncryptionProperties`, `EncryptionProperty`, `EncryptWith`, `EncType`, `Endpoint`, `EndpointReference`, `EndPointReference`, `EndpointReferenceType`, `EntitiesDescriptor`, `EntityAttributes`, `EntityDescriptor`, `Entropy`, `Envelope`, `EnvironmentMatchType`, `EnvironmentsType`, `EnvironmentType`, `EnvironmentType`, `Evidence`, `Evidence`, `Evidentiary`, `Evidentiary`, `ExactlyOne`, `Expires`, `Exponent`, `ExpressionType`, `Extensions`, `Extensions`, `Fault`, `FaultActor`, `FaultCode`, `FaultString`, `FaultTo`, `Forwardable`, `From`, `FunctionType`, `G`, `GeneratedKey`, `Generator`, `GeolocationHint`, `GetComplete`, `GivenName`, `Header`, `IDPEntry`, `IDPList`, `IDPSSODescriptor`, `IdReferenceType`, `IndexedEndpoint`, `InformationURL`, `IPHint`, `IssuedTokens`, `Issuer`, `Issuer`, `Iteration`, `IterationCount`, `J`, `KANonce`, `KeyDerivationMethod`, `KeyDescriptor`, `KeyExchangeToken`, `KeyIdentifier`, `KeyInfo`, `KeyInfoConfirmationDataType`, `KeyInfoReference`, `KeyLength`, `KeyName`, `KeyReference`, `KeySize`, `KeySize`, `KeyType`, `KeyValue`, `Keywords`, `KeyWrapAlgorithm`, `Lifetime`, `LocalizedName`, `LocalizedURI`, `Logo`, `LogoutRequest`, `LogoutResponse`, `ManageNameIDRequest`, `ManageNameIDResponse`, `ManageNameIDService`, `MasterKeyName`, `MessageID`, `Metadata`, `MGF`, `MgmtData`, `MissingAttributeDetailType`, `Modulus`, `NamedCurve`, `NameID`, `NameIdentifier`, `NameIDFormat`, `NameIDMappingRequest`, `NameIDMappingResponse`, `NameIDMappingService`, `NameIDPolicy`, `NameIDType`, `NewEncryptedID`, `NewID`, `Nonce`, `OAEPparams`, `ObligationsType`, `ObligationType`, `OnBehalfOf`, `OneTimeUse`, `OperatorContentType`, `Organization`, `OrganizationDisplayName`, `OrganizationName`, `OrganizationURL`, `OriginatorKeyInfo`, `OtherSource`, `P`, `P`, `Parameters`, `Participant`, `Participants`, `ParticipantType`, `Password`, `PBKDF2Params`, `PDPDescriptor`, `PgenCounter`, `PgenCounter`, `PGPData`, `PGPKeyID`, `PGPKeyPacket`, `Policy`, `PolicyAttachment`, `PolicyCombinerParametersType`, `PolicyReference`, `PolicySetCombinerParametersType`, `PolicySetType`, `PolicyType`, `PRF`, `Primary`, `PrivacyStatementURL`, `ProblemAction`, `ProblemHeaderQName`, `ProblemIRI`, `ProofEncryption`, `ProxyRestriction`, `Public`, `Publication`, `PublicationInfo`, `PublicationPath`, `PublicKey`, `Q`, `Q`, `Query`, `QueryDescriptorType`, `Reason`, `RecipientKeyInfo`, `Reference`, `ReferencedPoliciesType`, `ReferenceList`, `ReferenceParameters`, `ReferenceType`, `RegistrationInfo`, `RegistrationPolicy`, `RelatesTo`, `RelayState`, `Renewing`, `RenewTarget`, `ReplyTo`, `Request`, `Request`, `RequestAbstractType`, `RequestAbstractType`, `RequestAuthenticated`, `RequestedAttachedReference`, `RequestedAttribute`, `RequestedAttributes`, `RequestedAuthnContext`, `RequestedProofToken`, `RequestedReferenceType`, `RequestedSecurityToken`, `RequestedSecurityToken`, `RequestedTokenCancelled`, `RequestedUnattachedReference`, `RequesterID`, `RequestInitiator`, `RequestKET`, `RequestSecurityToken`, `RequestSecurityTokenCollection`, `RequestSecurityTokenResponse`, `RequestSecurityTokenResponse`, `RequestSecurityTokenResponseCollection`, `RequestType`, `RequestType`, `ResourceContentType`, `ResourceMatchType`, `ResourcesType`, `ResourceType`, `ResourceType`, `RespondTo`, `RespondWith`, `Response`, `Response`, `Response`, `ResponseAbstractType`, `ResponseType`, `ResultType`, `RetrievalMethod`, `RetryAfter`, `RoleDescriptor`, `RSAKeyValue`, `RuleCombinerParametersType`, `RuleType`, `Salt`, `Salt`, `SAMLObject`, `Scoping`, `Security`, `SecurityTokenReference`, `Seed`, `Seed`, `ServiceDescription`, `ServiceName`, `SessionIndex`, `SessionKey`, `SignableSAMLObject`, `SignableXMLObject`, `Signature`, `SignatureAlgorithm`, `SignatureConfirmation`, `SignChallenge`, `SignChallengeResponse`, `SignChallengeType`, `SigningMethod`, `SignWith`, `SingleLogoutService`, `SingleSignOnService`, `SoapAction`, `SOAPObject`, `SourceID`, `Specified`, `SPKIData`, `SPKISexp`, `SPSSODescriptor`, `SSODescriptor`, `Statement`, `Statement`, `Status`, `Status`, `Status`, `StatusCode`, `StatusCode`, `StatusCodeType`, `StatusDetail`, `StatusDetail`, `StatusDetailType`, `StatusMessage`, `StatusMessage`, `StatusMessageType`, `StatusResponseType`, `StatusType`, `Subject`, `Subject`, `SubjectAttributeDesignatorType`, `SubjectConfirmation`, `SubjectConfirmation`, `SubjectConfirmation`, `SubjectConfirmationData`, `SubjectConfirmationData`, `SubjectLocality`, `SubjectLocality`, `SubjectMatchType`, `SubjectQuery`, `SubjectQuery`, `SubjectStatement`, `SubjectsType`, `SubjectType`, `SubjectType`, `SurName`, `TargetType`, `TelephoneNumber`, `Terminate`, `TimeBoundSAMLObject`, `Timestamp`, `To`, `TokenType`, `Transform`, `TransformationParameters`, `Transforms`, `Transforms`, `UIInfo`, `UsagePolicy`, `UseKey`, `Username`, `UsernameToken`, `ValidateTarget`, `VariableDefinitionType`, `VariableReferenceType`, `WSAddressingObject`, `WSFedObject`, `WSPolicyObject`, `WSSecurityObject`, `WSTrustObject`, `X509Certificate`, `X509CRL`, `X509Data`, `X509Digest`, `X509IssuerName`, `X509IssuerSerial`, `X509SerialNumber`, `X509SKI`, `X509SubjectName`, `XACMLAuthzDecisionQueryType`, `XACMLAuthzDecisionStatementType`, `XACMLObject`, `XACMLPolicyQueryType`, `XACMLPolicyStatementType`, `XPath`, `XPathVersion`, `XSAny`, `XSAnyAdapter`, `XSBase64Binary`, `XSBoolean`, `XSDateTime`, `XSInteger`, `XSQName`, `XSString`, `XSURI`, `Y`

All Known Implementing Classes:
  `AbstractElementExtensibleXMLObject`, `AbstractExtensibleSOAPObject`, `AbstractExtensibleXMLObject`, `AbstractNameIDType`, `AbstractSignableSAMLObject`, `AbstractSignableXMLObject`, `AbstractWSAddressingObject`, `AbstractWSPolicyObject`, `AbstractWSSecurityObject`, `AbstractWSTrustObject`, `AbstractXACMLObject`, `AbstractXMLObject`, `AbstractXSAnyAdapter`, `ActionImpl`, `ActionImpl`, `ActionImpl`, `ActionMatchTypeImpl`, `ActionNamespaceImpl`, `ActionsTypeImpl`, `ActionTypeImpl`, `ActionTypeImpl`, `AdditionalMetadataLocationImpl`, `AddressImpl`, `AddressImpl`, `AdviceImpl`, `AdviceImpl`, `AffiliateMemberImpl`, `AffiliationDescriptorImpl`, `AgreementMethodImpl`, `AlgorithmIdentifierTypeImpl`, `AllImpl`, `AllowPostdatingImpl`, `AppliesToImpl`, `AppliesToImpl`, `ApplyTypeImpl`, `ArtifactImpl`, `ArtifactResolutionServiceImpl`, `ArtifactResolveImpl`, `ArtifactResponseImpl`, `AssertionArtifactImpl`, `AssertionConsumerServiceImpl`, `AssertionIDReferenceImpl`, `AssertionIDRefImpl`, `AssertionIDRequestImpl`, `AssertionIDRequestServiceImpl`, `AssertionImpl`, `AssertionImpl`, `AssertionURIRefImpl`, `AsynchronousImpl`, `AttributeAssignmentTypeImpl`, `AttributeAuthorityDescriptorImpl`, `AttributeConsumingServiceImpl`, `AttributedDateTimeImpl`, `AttributeDesignatorImpl`, `AttributeDesignatorTypeImpl`, `AttributedQNameImpl`, `AttributedStringImpl`, `AttributedUnsignedLongImpl`, `AttributedURIImpl`, `AttributedURIImpl`, `AttributeImpl`, `AttributeImpl`, `AttributeProfileImpl`, `AttributeQueryDescriptorTypeImpl`, `AttributeQueryImpl`, `AttributeQueryImpl`, `AttributeSelectorTypeImpl`, `AttributeServiceImpl`, `AttributeStatementImpl`, `AttributeStatementImpl`, `AttributeTypeImpl`, `AttributeValueImpl`, `AttributeValueImpl`, `AttributeValueTypeImpl`, `AttributeValueTypeImpl`, `AudienceImpl`, `AudienceImpl`, `AudienceRestrictionConditionImpl`, `AudienceRestrictionImpl`, `AuthenticatingAuthorityImpl`, `AuthenticationQueryImpl`, `AuthenticationStatementImpl`, `AuthenticationTypeImpl`, `AuthenticatorImpl`, `AuthnAuthorityDescriptorImpl`, `AuthnContextClassRefImpl`, `AuthnContextDeclImpl`, `AuthnContextDeclRefImpl`, `AuthnContextImpl`, `AuthnQueryDescriptorTypeImpl`, `AuthnQueryImpl`, `AuthnQueryServiceImpl`, `AuthnRequestImpl`, `AuthnStatementImpl`, `AuthorityBindingImpl`, `AuthorizationDecisionQueryImpl`, `AuthorizationDecisionStatementImpl`, `AuthzDecisionQueryDescriptorTypeImpl`, `AuthzDecisionQueryImpl`, `AuthzDecisionStatementImpl`, `AuthzServiceImpl`, `BaseIDImpl`, `BaseIDXSAnyAdapter`, `BinaryExchangeImpl`, `BinarySecretImpl`, `BinarySecurityTokenImpl`, `BodyImpl`, `CancelTargetImpl`, `CanonicalizationAlgorithmImpl`, `CarriedKeyNameImpl`, `ChallengeImpl`, `ChannelBindingsImpl`, `CipherDataImpl`, `CipherReferenceImpl`, `CipherValueImpl`, `ClaimsImpl`, `CodeImpl`, `CombinedHashImpl`, `CombinerParametersTypeImpl`, `CombinerParameterTypeImpl`, `CompanyImpl`, `ComputedKeyAlgorithmImpl`, `ComputedKeyImpl`, `ConcatKDFParamsImpl`, `ConditionsImpl`, `ConditionsImpl`, `ConditionTypeImpl`, `ConditionXSAnyAdapter`, `ConfirmationMethodImpl`, `ContactPersonImpl`, `CreatedImpl`, `CryptoBinaryImpl`, `DataReferenceImpl`, `DecisionTypeImpl`, `DefaultsTypeImpl`, `DelegatableImpl`, `DelegateImpl`, `DelegateToImpl`, `DelegationRestrictionTypeImpl`, `DEREncodedKeyValueImpl`, `DerivedKeyImpl`, `DerivedKeyNameImpl`, `DescriptionImpl`, `DescriptionTypeImpl`, `DetailImpl`, `DHKeyValueImpl`, `DigestMethodImpl`, `DigestMethodImpl`, `DiscoHintsImpl`, `DiscoveryResponseImpl`, `DisplayNameImpl`, `DomainHintImpl`, `DoNotCacheConditionImpl`, `DSAKeyValueImpl`, `ECKeyValueImpl`, `ECPointTypeImpl`, `EmailAddressImpl`, `EmbeddedImpl`, `EncodedStringImpl`, `EncryptedAssertionImpl`, `EncryptedAttributeImpl`, `EncryptedDataImpl`, `EncryptedElementTypeImpl`, `EncryptedHeaderImpl`, `EncryptedIDImpl`, `EncryptedKeyImpl`, `EncryptedTypeImpl`, `EncryptionAlgorithmImpl`, `EncryptionImpl`, `EncryptionMethodImpl`, `EncryptionMethodImpl`, `EncryptionPropertiesImpl`, `EncryptionPropertyImpl`, `EncryptWithImpl`, `EncTypeImpl`, `EndpointImpl`, `EndpointReferenceImpl`, `EndPointReferenceImpl`, `EndpointReferenceTypeImpl`, `EntitiesDescriptorImpl`, `EntityAttributesImpl`, `EntityDescriptorImpl`, `EntropyImpl`, `EnvelopeImpl`, `EnvironmentMatchTypeImpl`, `EnvironmentsTypeImpl`, `EnvironmentTypeImpl`, `EnvironmentTypeImpl`, `EvidenceImpl`, `EvidenceImpl`, `ExactlyOneImpl`, `ExpiresImpl`, `ExponentImpl`, `ExtensionsImpl`, `ExtensionsImpl`, `FaultActorImpl`, `FaultCodeImpl`, `FaultImpl`, `FaultStringImpl`, `FaultToImpl`, `ForwardableImpl`, `FromImpl`, `FunctionTypeImpl`, `GeneratedKeyImpl`, `GeneratorImpl`, `GeolocationHintImpl`, `GetCompleteImpl`, `GImpl`, `GivenNameImpl`, `HeaderImpl`, `IDPEntryImpl`, `IDPListImpl`, `IDPSSODescriptorImpl`, `IdReferenceTypeImpl`, `IndexedEndpointImpl`, `InformationURLImpl`, `IPHintImpl`, `IssuedTokensImpl`, `IssuerImpl`, `IssuerImpl`, `IterationCountImpl`, `IterationImpl`, `JImpl`, `KANonceImpl`, `KeyDerivationMethodImpl`, `KeyDescriptorImpl`, `KeyExchangeTokenImpl`, `KeyIdentifierImpl`, `KeyInfoConfirmationDataTypeImpl`, `KeyInfoImpl`, `KeyInfoReferenceImpl`, `KeyLengthImpl`, `KeyNameImpl`, `KeyReferenceImpl`, `KeySizeImpl`, `KeySizeImpl`, `KeyTypeImpl`, `KeyValueImpl`, `KeywordsImpl`, `KeyWrapAlgorithmImpl`, `LifetimeImpl`, `LocalizedNameImpl`, `LocalizedURIImpl`, `LogoImpl`, `LogoutRequestImpl`, `LogoutResponseImpl`, `ManageNameIDRequestImpl`, `ManageNameIDResponseImpl`, `ManageNameIDServiceImpl`, `MasterKeyNameImpl`, `MessageIDImpl`, `MetadataImpl`, `MGFImpl`, `MgmtDataImpl`, `MissingAttributeDetailTypeImpl`, `ModulusImpl`, `NamedCurveImpl`, `NameIdentifierImpl`, `NameIDFormatImpl`, `NameIDImpl`, `NameIDMappingRequestImpl`, `NameIDMappingResponseImpl`, `NameIDMappingServiceImpl`, `NameIDPolicyImpl`, `NewEncryptedIDImpl`, `NewIDImpl`, `NonceImpl`, `OAEPparamsImpl`, `ObligationsTypeImpl`, `ObligationTypeImpl`, `OnBehalfOfImpl`, `OneTimeUseImpl`, `OperatorContentTypeImpl`, `OrganizationDisplayNameImpl`, `OrganizationImpl`, `OrganizationNameImpl`, `OrganizationURLImpl`, `OriginatorKeyInfoImpl`, `OtherSourceImpl`, `ParticipantImpl`, `ParticipantsImpl`, `ParticipantTypeImpl`, `PasswordImpl`, `PBKDF2ParamsImpl`, `PDPDescriptorImpl`, `PgenCounterImpl`, `PgenCounterImpl`, `PGPDataImpl`, `PGPKeyIDImpl`, `PGPKeyPacketImpl`, `PImpl`, `PImpl`, `PolicyAttachmentImpl`, `PolicyCombinerParametersTypeImpl`, `PolicyImpl`, `PolicyReferenceImpl`, `PolicySetCombinerParametersTypeImpl`, `PolicySetTypeImpl`, `PolicyTypeImpl`, `PRFImpl`, `PrimaryImpl`, `PrivacyStatementURLImpl`, `ProblemActionImpl`, `ProblemHeaderQNameImpl`, `ProblemIRIImpl`, `ProofEncryptionImpl`, `ProxyRestrictionImpl`, `PublicationImpl`, `PublicationInfoImpl`, `PublicationPathImpl`, `PublicImpl`, `PublicKeyImpl`, `QImpl`, `QImpl`, `QueryDescriptorTypeImpl`, `ReasonImpl`, `RecipientKeyInfoImpl`, `ReferencedPoliciesTypeImpl`, `ReferenceImpl`, `ReferenceListImpl`, `ReferenceParametersImpl`, `ReferenceTypeImpl`, `RegistrationInfoImpl`, `RegistrationPolicyImpl`, `RelatesToImpl`, `RelayStateImpl`, `RenewingImpl`, `RenewTargetImpl`, `ReplyToImpl`, `RequestAbstractTypeImpl`, `RequestAbstractTypeImpl`, `RequestAuthenticatedImpl`, `RequestedAttachedReferenceImpl`, `RequestedAttributeImpl`, `RequestedAttributesImpl`, `RequestedAuthnContextImpl`, `RequestedProofTokenImpl`, `RequestedReferenceTypeImpl`, `RequestedSecurityTokenImpl`, `RequestedSecurityTokenImpl`, `RequestedTokenCancelledImpl`, `RequestedUnattachedReferenceImpl`, `RequesterIDImpl`, `RequestImpl`, `RequestImpl`, `RequestInitiatorImpl`, `RequestKETImpl`, `RequestSecurityTokenCollectionImpl`, `RequestSecurityTokenImpl`, `RequestSecurityTokenResponseCollectionImpl`, `RequestSecurityTokenResponseImpl`, `RequestSecurityTokenResponseImpl`, `RequestTypeImpl`, `RequestTypeImpl`, `ResourceContentTypeImpl`, `ResourceMatchTypeImpl`, `ResourcesTypeImpl`, `ResourceTypeImpl`, `ResourceTypeImpl`, `RespondToImpl`, `RespondWithImpl`, `ResponseAbstractTypeImpl`, `ResponseImpl`, `ResponseImpl`, `ResponseImpl`, `ResponseTypeImpl`, `ResultTypeImpl`, `RetrievalMethodImpl`, `RetryAfterImpl`, `RoleDescriptorImpl`, `RoleDescriptorXSAnyAdapter`, `RSAKeyValueImpl`, `RuleCombinerParametersTypeImpl`, `RuleTypeImpl`, `SaltImpl`, `SaltImpl`, `ScopingImpl`, `SecurityImpl`, `SecurityTokenReferenceImpl`, `SeedImpl`, `SeedImpl`, `ServiceDescriptionImpl`, `ServiceNameImpl`, `SessionIndexImpl`, `SessionKeyImpl`, `SignatureAlgorithmImpl`, `SignatureConfirmationImpl`, `SignatureImpl`, `SignChallengeImpl`, `SignChallengeResponseImpl`, `SignChallengeTypeImpl`, `SigningMethodImpl`, `SignWithImpl`, `SimpleXMLObject`, `SingleLogoutServiceImpl`, `SingleSignOnServiceImpl`, `SoapActionImpl`, `SourceIDImpl`, `SpecifiedImpl`, `SPKIDataImpl`, `SPKISexpImpl`, `SPSSODescriptorImpl`, `SSODescriptorImpl`, `StatementXSAnyAdapter`, `StatusCodeImpl`, `StatusCodeImpl`, `StatusCodeTypeImpl`, `StatusDetailImpl`, `StatusDetailImpl`, `StatusDetailTypeImpl`, `StatusImpl`, `StatusImpl`, `StatusImpl`, `StatusMessageImpl`, `StatusMessageImpl`, `StatusMessageTypeImpl`, `StatusResponseTypeImpl`, `StatusTypeImpl`, `SubjectAttributeDesignatorTypeImpl`, `SubjectConfirmationDataImpl`, `SubjectConfirmationDataImpl`, `SubjectConfirmationImpl`, `SubjectConfirmationImpl`, `SubjectConfirmationImpl`, `SubjectImpl`, `SubjectImpl`, `SubjectLocalityImpl`, `SubjectLocalityImpl`, `SubjectMatchTypeImpl`, `SubjectQueryImpl`, `SubjectQueryImpl`, `SubjectStatementImpl`, `SubjectsTypeImpl`, `SubjectTypeImpl`, `SubjectTypeImpl`, `SurNameImpl`, `TargetTypeImpl`, `TelephoneNumberImpl`, `TerminateImpl`, `TimestampImpl`, `ToImpl`, `TokenTypeImpl`, `TransformationParametersImpl`, `TransformImpl`, `TransformsImpl`, `TransformsImpl`, `UIInfoImpl`, `UsagePolicyImpl`, `UseKeyImpl`, `UsernameImpl`, `UsernameTokenImpl`, `ValidateTargetImpl`, `VariableDefinitionTypeImpl`, `VariableReferenceTypeImpl`, `X509CertificateImpl`, `X509CRLImpl`, `X509DataImpl`, `X509DigestImpl`, `X509IssuerNameImpl`, `X509IssuerSerialImpl`, `X509SerialNumberImpl`, `X509SKIImpl`, `X509SubjectNameImpl`, `XACMLAuthzDecisionQueryTypeImpl`, `XACMLAuthzDecisionStatementTypeImpl`, `XACMLPolicyQueryTypeImpl`, `XACMLPolicyStatementTypeImpl`, `XPathImpl`, `XSAnyImpl`, `XSBase64BinaryImpl`, `XSBooleanImpl`, `XSDateTimeImpl`, `XSIntegerImpl`, `XSQNameImpl`, `XSStringImpl`, `XSURIImpl`, `YImpl`

public interface XMLObject
A object that represents an XML element, usually of a specific schema type, that has been unmarshalled into this Java object.

## Method Summary

Modifier and Type
Method
Description
`void`
`detach()`
Detaches the XMLObject from its parent.
`Element`
`ensureDOM()`
Gets the DOM representation of this XMLObject, if one exists, or raises a `ConstraintViolationException`.
`Element`
`getDOM()`
Gets the DOM representation of this XMLObject, if one exists.
`QName`
`getElementQName()`
Gets the QName for this element.
`IDIndex`
`getIDIndex()`
Get the IDIndex holding the ID-to-XMLObject index mapping, rooted at this XMLObject's subtree.
`NamespaceManager`
`getNamespaceManager()`
Gets the `NamespaceManager` instance for this object.
`Set<Namespace>`
`getNamespaces()`
Gets the namespaces that are scoped to this element.
`String`
`getNoNamespaceSchemaLocation()`
Gets the value of the XML Schema noNamespaceSchemaLocation attribute for this object.
`LockableClassToInstanceMultiMap<Object>`
`getObjectMetadata()`
Get the mutable multimap which holds additional information (represented by plain Java object instances) associated with this XMLObject.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`XMLObject`
`getParent()`
Gets the parent of this element or null if there is no parent.
`String`
`getSchemaLocation()`
Gets the value of the XML Schema schemaLocation attribute for this object.
`QName`
`getSchemaType()`
Gets the XML schema type of this element.
`boolean`
`hasChildren()`
Checks if this XMLObject has children.
`boolean`
`hasParent()`
Checks to see if this object has a parent.
`Boolean`
`isNil()`
Gets whether the object declares that its element content is null, which corresponds to an `xsi:nil` attribute of `true`.
`XSBooleanValue`
`isNilXSBoolean()`
Gets whether the object declares that its element content is null, which corresponds to an `xsi:nil` attribute of `true`.
`void`
`releaseChildrenDOM(boolean propagateRelease)`
Releases the DOM representation of this XMLObject's children.
`void`
`releaseDOM()`
Releases the DOM representation of this XMLObject, if there is one.
`void`
`releaseParentDOM(boolean propagateRelease)`
Releases the DOM representation of this XMLObject's parent.
`XMLObject`
`resolveID(String id)`
Find the XMLObject identified by the specified ID attribute, within the subtree of XMLObjects which has this XMLObject as its root.
`XMLObject`
`resolveIDFromRoot(String id)`
Find the XMLObject identified by the specified ID attribute, from the root of the tree of XMLObjects in which this XMLObject is a member.
`void`
`setDOM(Element dom)`
Sets the DOM representation of this XMLObject.
`void`
`setNil(Boolean newNil)`
Sets whether the object declares that its element content is null, which corresponds to an `xsi:nil` attribute of `true`.
`void`
`setNil(XSBooleanValue newNil)`
Sets whether the object declares that its element content is null, which corresponds to an `xsi:nil` attribute of `true`.
`void`
`setNoNamespaceSchemaLocation(String location)`
Sets the value of the XML Schema noNamespaceSchemaLocation attribute for this object.
`void`
`setParent(XMLObject parent)`
Sets the parent of this element.
`void`
`setSchemaLocation(String location)`
Sets the value of the XML Schema schemaLocation attribute for this object.

## Method Details

### detach

void detach()
Detaches the XMLObject from its parent. This will release the parent's cached DOM (if it has one) and set this object's parent to null. It does not remove this object from its parent, that's the responsibility of the invoker of this method, nor does it re-root the cached DOM node (if there is one) in a new document. This is handled at marshalling time.

### getDOM

@Nullable Element getDOM()
Gets the DOM representation of this XMLObject, if one exists.

Returns:
  the DOM representation of this XMLObject, or null

### ensureDOM

@Nonnull Element ensureDOM()
Gets the DOM representation of this XMLObject, if one exists, or raises a `ConstraintViolationException`.

Returns:
  the DOM representation of this XMLObject
Since:
  5.0.0

### getElementQName

@Nonnull QName getElementQName()
Gets the QName for this element. This QName MUST contain the namespace URI, namespace prefix, and local element name.

Returns:
  the QName for this attribute

### getIDIndex

@Nonnull IDIndex getIDIndex()
Get the IDIndex holding the ID-to-XMLObject index mapping, rooted at this XMLObject's subtree.

Returns:
  the IDIndex owned by this XMLObject

### getNamespaceManager

@Nonnull NamespaceManager getNamespaceManager()
Gets the `NamespaceManager` instance for this object.

Returns:
  the namespace manager for this object

### getNamespaces

@Nonnull Set<Namespace> getNamespaces()
Gets the namespaces that are scoped to this element.

Returns:
  the namespaces that are scoped to this element

### getNoNamespaceSchemaLocation

@Nullable String getNoNamespaceSchemaLocation()
Gets the value of the XML Schema noNamespaceSchemaLocation attribute for this object.

Returns:
  value of the XML Schema noNamespaceSchemaLocation attribute for this object

### getOrderedChildren

@Nullable @Unmodifiable @NotLive List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Returns:
  ordered list of child elements

### getParent

@Nullable XMLObject getParent()
Gets the parent of this element or null if there is no parent.

Returns:
  the parent of this element or null

### getSchemaLocation

@Nullable String getSchemaLocation()
Gets the value of the XML Schema schemaLocation attribute for this object.

Returns:
  schema location defined for this object

### getSchemaType

@Nullable QName getSchemaType()
Gets the XML schema type of this element. This translates to the contents of the xsi:type attribute.

Returns:
  XML schema type of this element, or null

### hasChildren

boolean hasChildren()
Checks if this XMLObject has children.

Returns:
  true if this XMLObject has children, false if not

### hasParent

boolean hasParent()
Checks to see if this object has a parent.

Returns:
  true if the object has a parent, false if not

### releaseChildrenDOM

void releaseChildrenDOM(boolean propagateRelease)
Releases the DOM representation of this XMLObject's children.

Parameters:
  `propagateRelease` - true if all descendants of this element should release their DOM

### releaseDOM

void releaseDOM()
Releases the DOM representation of this XMLObject, if there is one.

### releaseParentDOM

void releaseParentDOM(boolean propagateRelease)
Releases the DOM representation of this XMLObject's parent.

Parameters:
  `propagateRelease` - true if all ancestors of this element should release their DOM

### resolveID

@Nullable XMLObject resolveID(@Nonnull String id)
Find the XMLObject identified by the specified ID attribute, within the subtree of XMLObjects which has this XMLObject as its root.

Parameters:
  `id` - the ID attribute to resolve to an XMLObject
Returns:
  the XMLObject identified by the specified ID attribute value, or null

### resolveIDFromRoot

@Nullable XMLObject resolveIDFromRoot(@Nonnull String id)
Find the XMLObject identified by the specified ID attribute, from the root of the tree of XMLObjects in which this XMLObject is a member.

Parameters:
  `id` - the ID attribute to resolve to an XMLObject
Returns:
  the XMLObject identified by the specified ID attribute value, or null

### setDOM

void setDOM(@Nullable Element dom)
Sets the DOM representation of this XMLObject.

Parameters:
  `dom` - DOM representation of this XMLObject

### setNoNamespaceSchemaLocation

void setNoNamespaceSchemaLocation(@Nullable String location)
Sets the value of the XML Schema noNamespaceSchemaLocation attribute for this object.

Parameters:
  `location` - value of the XML Schema noNamespaceSchemaLocation attribute for this object

### setParent

void setParent(@Nullable XMLObject parent)
Sets the parent of this element.

Parameters:
  `parent` - the parent of this element

### setSchemaLocation

void setSchemaLocation(@Nullable String location)
Sets the value of the XML Schema schemaLocation attribute for this object.

Parameters:
  `location` - value of the XML Schema schemaLocation attribute for this object

### isNil

@Nullable Boolean isNil()
Gets whether the object declares that its element content is null, which corresponds to an `xsi:nil` attribute of `true`.

Note that it is up to the developer to ensure that the value of this attribute is consistent with the actual element content on the object instance.

Per the XML Schema specification, a value of true disallows element content, but not element attributes.

Returns:
  whether the object's content model is null
See Also:
  - XML Schema: Nil Values

### isNilXSBoolean

@Nullable XSBooleanValue isNilXSBoolean()
Gets whether the object declares that its element content is null, which corresponds to an `xsi:nil` attribute of `true`.

Note that it is up to the developer to ensure that the value of this attribute is consistent with the actual element content on the object instance.

Per the XML Schema specification, a value of true disallows element content, but not element attributes.

Returns:
  whether the object's content model is null
See Also:
  - XML Schema: Nil Values

### setNil

void setNil(@Nullable Boolean newNil)
Sets whether the object declares that its element content is null, which corresponds to an `xsi:nil` attribute of `true`.

Note that it is up to the developer to ensure that the value of this attribute is consistent with the actual element content on the object instance.

Per the XML Schema specification, a value of true disallows element content, but not element attributes.

Parameters:
  `newNil` - whether the object's content model is expressed as null
See Also:
  - XML Schema: Nil Values

### setNil

void setNil(@Nullable XSBooleanValue newNil)
Sets whether the object declares that its element content is null, which corresponds to an `xsi:nil` attribute of `true`.

Note that it is up to the developer to ensure that the value of this attribute is consistent with the actual element content on the object instance.

Per the XML Schema specification, a value of true disallows element content, but not element attributes.

Parameters:
  `newNil` - whether the object's content model is expressed as null
See Also:
  - XML Schema: Nil Values

### getObjectMetadata

@Nonnull LockableClassToInstanceMultiMap<Object> getObjectMetadata()
Get the mutable multimap which holds additional information (represented by plain Java object instances) associated with this XMLObject.

Objects added to this multimap will be indexed and retrievable by their concrete `Class` as well as by the `Class` types representing all superclasses (excluding `java.lang.Object`) and all implemented interfaces.

Returns:
  the class-to-instance multimap